Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io
Interface ISVNLocationSegmentHandler

public interface ISVNLocationSegmentHandler

The ISVNLocationSegmentHandler is an interface for location segment handlers which is used in the `SVNRepository.getLocationSegments(String, long, long, long, ISVNLocationSegmentHandler)` method.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Method Summary
`void` | `handleLocationSegment(SVNLocationSegment locationSegment)` Handles a next location segment.

Method Detail

### handleLocationSegment

    public void handleLocationSegment(SVNLocationSegment locationSegment)
                               throws SVNException

  Handles a next location segment.

  Parameters:
    `locationSegment` - location segment
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.